Page MenuHomePhabricator

Browser tests broken for Internet Explorer, Safari, Android and iOS
Closed, ResolvedPublic

Description

Noticed while working on T94151. I will delete the jenkins jobs since they are broken for a long time, but I will paste terminal output here. The jobs should be easy to recreate, if needed for debugging.

Android P2134

...
02:22:09   Scenario: Banner three is displayed for low roll # features/banners.feature:4
02:22:09   uninitialized constant MediawikiSelenium::BrowserFactory::Android (NameError)
02:22:09   /mnt/home/jenkins-deploy/.gem/2.0.0/gems/mediawiki_selenium-1.2.1/lib/mediawiki_selenium/browser_factory.rb:20:in `const_get'
...

iOS P2135

...
01:54:12   Scenario: Banner three is displayed for low roll # features/banners.feature:4
01:54:13   uninitialized constant Iphone (NameError)
01:54:13   /mnt/home/jenkins-deploy/.gem/2.0.0/gems/mediawiki_selenium-1.2.1/lib/mediawiki_selenium/browser_factory.rb:20:in `const_get'
...

Safari P2136

...
12:47:10   Scenario: Banner three is displayed for low roll # features/banners.feature:4
12:47:11   uninitialized constant MediawikiSelenium::BrowserFactory::Safari (NameError)
12:47:11   /mnt/home/jenkins-deploy/.gem/2.0.0/gems/mediawiki_selenium-1.2.1/lib/mediawiki_selenium/browser_factory.rb:20:in `const_get'
...

Internet Explorer P2137

...
11:48:11   Scenario: Banner three is displayed for low roll # features/banners.feature:4
11:48:11   uninitialized constant InternetExplorer (NameError)
11:48:11   /mnt/home/jenkins-deploy/.gem/2.0.0/gems/mediawiki_selenium-1.2.1/lib/mediawiki_selenium/browser_factory.rb:20:in `const_get'
...

Event Timeline

zeljkofilipin raised the priority of this task from to High.
zeljkofilipin updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 1:12 PM
zeljkofilipin updated the task description. (Show Details)Oct 1 2015, 1:28 PM
zeljkofilipin set Security to None.

Change 242880 had a related patch set uploaded (by Zfilipin):
Deleted broken CentralNotice browsertests Jenkins jobs

https://gerrit.wikimedia.org/r/242880

Change 242887 had a related patch set uploaded (by Zfilipin):
Deleted failing Flow browsertests Jenkins job

https://gerrit.wikimedia.org/r/242887

greg added a subscriber: greg.Oct 1 2015, 3:24 PM

All broswer test for IE, Safari, Android, and iOS, or just some subset?

Why? Just long unmaintained or did something change?

(The title and description scare me as written :) )

@greg, in the case of CentralNotice, just unmaintained. As far as we know and have smoke-tested, CentralNotice banners work on these platforms. (There is a problem with IE versions 8 and 9--neither of which were included n tests, in any case.) It'd be great to have working tests for all of these... but, indeed, broken tests are distracting and worse than none. Hope to revive and work on these again soooon. :)

JanZerebecki renamed this task from Browser tests broken for Internet Explorer, Safari, Android and iOS to delete broken CentralNotice browser tests for Internet Explorer, Safari, Android and iOS.Oct 1 2015, 3:49 PM
greg added a comment.Oct 1 2015, 3:52 PM

Thanks @AndyRussG, and just confirmed with @zeljkofilipin, the title/description as written are accurate (but sad).

zeljkofilipin renamed this task from delete broken CentralNotice browser tests for Internet Explorer, Safari, Android and iOS to Browser tests broken for Internet Explorer, Safari, Android and iOS.Oct 1 2015, 4:36 PM
zeljkofilipin added a subscriber: JanZerebecki.

@JanZerebecki I have reverted your title change, jobs are broken for all repositories, not only CentralNotice.

Change 242887 merged by jenkins-bot:
Deleted failing Flow browsertests Jenkins job

https://gerrit.wikimedia.org/r/242887

Change 242880 merged by jenkins-bot:
Delete broken CentralNotice browsertests Jenkins jobs

https://gerrit.wikimedia.org/r/242880

zeljkofilipin moved this task from Gems to Next on the Browser-Tests-Infrastructure board.
zeljkofilipin removed zeljkofilipin as the assignee of this task.Dec 10 2015, 4:08 PM
dduvall moved this task from Next to In Progress on the Browser-Tests-Infrastructure board.

Change 258394 had a related patch set uploaded (by Dduvall):
Support all SauceLabs provided browsers

https://gerrit.wikimedia.org/r/258394

Change 258394 merged by jenkins-bot:
Support all SauceLabs provided browsers

https://gerrit.wikimedia.org/r/258394

So I guess we will now want a new release of mediawiki_selenium (1.7.0 ?) and bump all repositories :-}

@hashar that is my plan for this week.

zeljkofilipin removed dduvall as the assignee of this task.Dec 14 2015, 5:50 PM
zeljkofilipin claimed this task.

Change 259244 had a related patch set uploaded (by Zfilipin):
Release patch version 1.6.3

https://gerrit.wikimedia.org/r/259244

Change 259244 merged by jenkins-bot:
Release patch version 1.6.3

https://gerrit.wikimedia.org/r/259244

Change 259247 had a related patch set uploaded (by Zfilipin):
Simplify instructions on releasing the gem

https://gerrit.wikimedia.org/r/259247

Change 259247 merged by jenkins-bot:
Simplify instructions on releasing the gem

https://gerrit.wikimedia.org/r/259247

Change 259255 had a related patch set uploaded (by Zfilipin):
Upgrade to the latest version of mediawiki_selenium Ruby gem

https://gerrit.wikimedia.org/r/259255

Change 259255 merged by jenkins-bot:
Upgrade to the latest version of mediawiki_selenium Ruby gem

https://gerrit.wikimedia.org/r/259255

The mediawiki_selenium gem restores support for Android/IE as of version 1.6.3.